package com.engine.attendance.attendanceplan.service.impl;

import com.engine.attendance.attendanceplan.cmd.GetAttendanceItemsByPersonDataCmd;
import com.engine.attendance.attendanceplan.cmd.GetWorkHoursItemByPersonCmd;
import com.engine.attendance.attendanceplan.service.AttendancePlanService;
import com.engine.core.impl.Service;

import java.util.Map;

public class AttendancePlanServiceImpl extends Service implements AttendancePlanService {
    @Override
    public Map<String, Object> getAttendanceItemsByPerson(Map<String, Object> params) {
        Map<String,Object> result = commandExecutor.execute(new GetAttendanceItemsByPersonDataCmd(params));
        return result;
    }

    @Override
    public Map<String, Object> getWorkHoursItemByPerson(Map<String, Object> params) {
        return commandExecutor.execute(new GetWorkHoursItemByPersonCmd(params));
    }
}
